## r-cran-brglm2 0.9+dfsg

=== DESCRIPTION ===
Package: brglm2
Title: Bias Reduction in Generalized Linear Models
Version: 0.9
Authors@R: c(person(given = "Ioannis", family = "Kosmidis", role = c("aut", "cre"), email = "ioannis.kosmidis@warwick.ac.uk", comment = c(ORCID = "0000-0003-1556-0302")),
	     person(given = c("Euloge", "Clovis"), family = c("Kenne Pagui"), role = "aut", email = "kenne@stat.unipd.it"),
	     person(given = "Kjell", family = "Konis", role = "ctb", email = "kjell.konis@me.com"),
	     person(given = "Nicola", family = "Sartori", role = "ctb", email = "sartori@stat.unipd.it"))
Description: Estimation and inference from generalized linear models based on various methods for bias reduction and maximum penalized likelihood with powers of the Jeffreys prior as penalty. The 'brglmFit' fitting method can achieve reduction of estimation bias by solving either the mean bias-reducing adjusted score equations in Firth (1993) <doi:10.1093/biomet/80.1.27> and Kosmidis and Firth (2009) <doi:10.1093/biomet/asp055>, or the median bias-reduction adjusted score equations in Kenne et al. (2017) <doi:10.1093/biomet/asx046>, or through the direct subtraction of an estimate of the bias of the maximum likelihood estimator from the maximum likelihood estimates as in Cordeiro and McCullagh (1991) <https://www.jstor.org/stable/2345592>. See Kosmidis et al (2020) <doi:10.1007/s11222-019-09860-6> for more details. Estimation in all cases takes place via a quasi Fisher scoring algorithm, and S3 methods for the construction of of confidence intervals for the reduced-bias estimates are provided. In the special case of generalized linear models for binomial and multinomial responses (both ordinal and nominal), the adjusted score approaches to mean and media bias reduction have been found to return estimates with improved frequentist properties, that are also always finite, even in cases where the maximum likelihood estimates are infinite (e.g. complete and quasi-complete separation; see Kosmidis and Firth, 2020 <doi:10.1093/biomet/asaa052>, for a proof for mean bias reduction in logistic regression). 
URL: https://github.com/ikosmidis/brglm2
BugReports: https://github.com/ikosmidis/brglm2/issues
Depends: R (>= 3.3.0)
Imports: MASS, stats, Matrix, graphics, nnet, enrichwith, numDeriv
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.3
Suggests: detectseparation, knitr, rmarkdown, covr, tinytest
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2023-02-06 12:35:23 UTC; yiannis
Author: Ioannis Kosmidis [aut, cre] (<https://orcid.org/0000-0003-1556-0302>),
  Euloge Clovis Kenne Pagui [aut],
  Kjell Konis [ctb],
  Nicola Sartori [ctb]
Maintainer: Ioannis Kosmidis <ioannis.kosmidis@warwick.ac.uk>
Repository: CRAN
Date/Publication: 2023-02-06 21:32:30 UTC

## r-cran-brglm2 0.8.2+dfsg

=== debian/changelog ===
r-cran-brglm2 (0.8.2+dfsg-2) unstable; urgency=medium

  * Source-only upload
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jul 2022 07:54:39 +0200

r-cran-brglm2 (0.8.2+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1013987)

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jun 2022 15:56:26 +0200

=== debian/control ===
Source: r-cran-brglm2
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-brglm2
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-brglm2.git
Homepage: https://cran.r-project.org/package=brglm2
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-mass,
               r-cran-matrix,
               r-cran-nnet,
               r-cran-enrichwith,
               r-cran-numderiv
Testsuite: autopkgtest-pkg-r

Package: r-cran-brglm2
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R bias reduction in generalized linear models
 Estimation and inference from generalized linear models based on various
 methods for bias reduction and maximum penalized likelihood with powers
 of the Jeffreys prior as penalty. The 'brglmFit' fitting method can
 achieve reduction of estimation bias by solving either the mean bias-
 reducing adjusted score equations in Firth (1993)
 <doi:10.1093/biomet/80.1.27> and Kosmidis and Firth (2009)
 <doi:10.1093/biomet/asp055>, or the median bias-reduction adjusted score
 equations in Kenne et al. (2017) <doi:10.1093/biomet/asx046>, or through
 the direct subtraction of an estimate of the bias of the maximum
 likelihood estimator from the maximum likelihood estimates as in
 Cordeiro and McCullagh (1991) <https://www.jstor.org/stable/2345592>.
 See Kosmidis et al (2020) <doi:10.1007/s11222-019-09860-6> for more
 details. Estimation in all cases takes place via a quasi Fisher scoring
 algorithm, and S3 methods for the construction of of confidence
 intervals for the reduced-bias estimates are provided. In the special
 case of generalized linear models for binomial and multinomial responses
 (both ordinal and nominal), the adjusted score approaches to mean and
 media bias reduction have been found to return estimates with improved
 frequentist properties, that are also always finite, even in cases where
 the maximum likelihood estimates are infinite (e.g. complete and quasi-
 complete separation; see Kosmidis and Firth, 2020
 <doi:10.1093/biomet/asaa052>, for a proof for mean bias reduction in
 logistic regression).

## r-cran-brglm2 0.9+dfsg

=== debian/changelog ===
r-cran-brglm2 (0.9+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Fix permissions
  * Lintian-overrides for false positive

 -- Andreas Tille <tille@debian.org>  Mon, 20 Feb 2023 13:51:24 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian/ \( -name "*.R" -o -name "*.Rmd" \) -exec chmod -x \{\} \;

## r-cran-brglm2 0.9.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: brglm2
 Title: Bias Reduction in Generalized Linear Models
-Version: 0.9
+Version: 0.9.2
 Authors@R: c(person(given = "Ioannis", family = "Kosmidis", role = c("aut", "cre"), email = "ioannis.kosmidis@warwick.ac.uk", comment = c(ORCID = "0000-0003-1556-0302")),
 	     person(given = c("Euloge", "Clovis"), family = c("Kenne Pagui"), role = "aut", email = "kenne@stat.unipd.it"),
 	     person(given = "Kjell", family = "Konis", role = "ctb", email = "kjell.konis@me.com"),
@@ -14,14 +14,15 @@
 Encoding: UTF-8
 LazyData: true
 RoxygenNote: 7.2.3
-Suggests: detectseparation, knitr, rmarkdown, covr, tinytest
+Suggests: detectseparation, knitr, rmarkdown, covr, tinytest, VGAM,
+        brglm, mbrglm
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2023-02-06 12:35:23 UTC; yiannis
+Packaged: 2023-10-11 15:17:34 UTC; yiannis
 Author: Ioannis Kosmidis [aut, cre] (<https://orcid.org/0000-0003-1556-0302>),
   Euloge Clovis Kenne Pagui [aut],
   Kjell Konis [ctb],
   Nicola Sartori [ctb]
 Maintainer: Ioannis Kosmidis <ioannis.kosmidis@warwick.ac.uk>
 Repository: CRAN
-Date/Publication: 2023-02-06 21:32:30 UTC
+Date/Publication: 2023-10-11 18:30:02 UTC

=== debian/changelog ===
r-cran-brglm2 (0.9.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 17 Oct 2023 08:04:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-brglm2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-brglm2.git
 Homepage: https://cran.r-project.org/package=brglm2
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/brglm2_([-\d.]*)\.tar\.gz

## r-cran-brglm2 1.0.1%2Bdfsg

=== DESCRIPTION ===
Package: brglm2
Title: Bias Reduction in Generalized Linear Models
Version: 1.0.1
Authors@R: c(person(given = "Ioannis", family = "Kosmidis", role = c("aut", "cre"), email = "ioannis.kosmidis@warwick.ac.uk", comment = c(ORCID = "0000-0003-1556-0302")),
	     person(given = c("Euloge", "Clovis"), family = c("Kenne Pagui"), role = "aut", email = "kenne@stat.unipd.it", comment = c(ORCID = "0000-0002-8998-9251")),
 	     person(given = "Federico", family = "Boiocchi", role = "ctb", email = "federico.boiocchi@gmail.com"),
	     person(given = "Philipp", family = "Sterzinger", role = "ctb", email = "P.Sterzinger@lse.ac.uk", comment = c(ORCID = "0009-0007-7348-5810")),
             person(given = "Kjell", family = "Konis", role = "ctb", email = "kjell.konis@me.com"),
	     person(given = "Nicola", family = "Sartori", role = "ctb", email = "sartori@stat.unipd.it"))
Description: Estimation and inference from generalized linear models based on various methods for bias reduction and maximum penalized likelihood with powers of the Jeffreys prior as penalty. The 'brglmFit()' fitting method can achieve reduction of estimation bias by solving either the mean bias-reducing adjusted score equations in Firth (1993) <doi:10.1093/biomet/80.1.27> and Kosmidis and Firth (2009) <doi:10.1093/biomet/asp055>, or the median bias-reducing adjusted score equations in Kenne et al. (2017) <doi:10.1093/biomet/asx046>, or through the direct subtraction of an estimate of the bias of the maximum likelihood estimator from the maximum likelihood estimates as in Cordeiro and McCullagh (1991) <https://www.jstor.org/stable/2345592>. See Kosmidis et al (2020) <doi:10.1007/s11222-019-09860-6> for more details. Estimation in all cases takes place via a quasi Fisher scoring algorithm, and S3 methods for the construction of of confidence intervals for the reduced-bias estimates are provided. In the special case of generalized linear models for binomial and multinomial responses (both ordinal and nominal), the adjusted score approaches to mean and media bias reduction have been found to return estimates with improved frequentist properties, that are also always finite, even in cases where the maximum likelihood estimates are infinite (e.g. complete and quasi-complete separation; see Kosmidis and Firth, 2020 <doi:10.1093/biomet/asaa052>, for a proof for mean bias reduction in logistic regression). The 'mdyplFit()' fitting method fits logistic regression models using maximum Diaconis-Ylvisaker prior penalized likelihood, which also guarantees finite estimates. High-dimensionality corrections under proportional asymptotics can be applied to the resulting objects; see Sterzinger and Kosmidis (2024) <doi:10.48550/arXiv.2311.07419> for details.
URL: https://github.com/ikosmidis/brglm2
BugReports: https://github.com/ikosmidis/brglm2/issues
Depends: R (>= 3.5)
Imports: MASS, stats, Matrix, graphics, nnet, enrichwith, numDeriv,
        statmod, nleqslv
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.3
Suggests: detectseparation, knitr, rmarkdown, covr, tinytest, VGAM,
        brglm, mbrglm
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2025-11-21 22:22:53 UTC; yiannis
Author: Ioannis Kosmidis [aut, cre] (ORCID:
    <https://orcid.org/0000-0003-1556-0302>),
  Euloge Clovis Kenne Pagui [aut] (ORCID:
    <https://orcid.org/0000-0002-8998-9251>),
  Federico Boiocchi [ctb],
  Philipp Sterzinger [ctb] (ORCID:
    <https://orcid.org/0009-0007-7348-5810>),
  Kjell Konis [ctb],
  Nicola Sartori [ctb]
Maintainer: Ioannis Kosmidis <ioannis.kosmidis@warwick.ac.uk>
Repository: CRAN
Date/Publication: 2025-11-22 06:10:17 UTC

## r-cran-brglm2 1.0.1+dfsg

=== debian/changelog ===
r-cran-brglm2 (1.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 12 Dec 2025 13:47:54 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,9 @@
 Source: r-cran-brglm2
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-brglm2
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-brglm2.git
-Homepage: https://cran.r-project.org/package=brglm2
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -15,8 +11,16 @@
                r-cran-matrix,
                r-cran-nnet,
                r-cran-enrichwith,
-               r-cran-numderiv
-Testsuite: autopkgtest-pkg-r
+               r-cran-numderiv,
+               r-cran-statmod,
+               r-cran-nleqslv,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-brglm2
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-brglm2.git
+Homepage: https://cran.r-project.org/package=brglm2
+Rules-Requires-Root: no
 
 Package: r-cran-brglm2
 Architecture: any
